/* --------------------------------------------------------
 * This file sets up all the details for this module,
 * so that the actual htm files can be standard templates.
 * 
 * Global stuff is in js/PDGlobalConfig
 * 
 */

/* --------------------------------------------------------
 * Top-level title for module
 */

modTitle = "3: Problem Solving Lessons";

/* --------------------------------------------------------
 * Main menu
 * Defines the tabbed menu along the top of each page
 * 
 */
mainMenu = {
		home: 			{url: '../../../index.htm', title: 'MAP PD Modules'},
		index: 			{url: 'index.htm', 			title: 'Module 3 Guide'},
		videos_d: 		{popup: true, 	url: 'videos_d1.htm', 		title: 'Activity D Video'},
		videos_e: 		{popup: true, 	url: 'videos_e1.htm', 		title: 'Activity E Video'},
		bmi: 			{popup: true,		url: 'bmi.htm', 			title: 'BMI Calculator'}
};

/* --------------------------------------------------------
 * List of pages and the main menu under which they appear
 */
pageNames = {
		'index.htm'		: 'index',
		'videos_d1.htm'	: 'videos_d',
		'videos_d2.htm'	: 'videos_d',
		'videos_e1.htm' : 'videos_e',
		'videos_e2.htm' : 'videos_e',
		'bmi.htm'		: 'bmi'
};

/* --------------------------------------------------------
 * Specify which credits appear on which pages.
 * See below for details
 */

footerCredits = {
		// Show on all pages
		'default': 		['general','bowland']
};

/* --------------------------------------------------------
 * Specify which logos appear at the top of pages
 */
headerCredits = {
		'default': ['mars']
};


/* --------------------------------------------------------
 * Details of video player pages
 * These have multiple videos per 'page' each with a suitably
 * named copy of the template page
 */

videoPages = {
	videos_d: {
		'videos_d1.htm': {
		   title: 	'Organising a Table Tennis Tournament',
		   movie:	'3_D_Table_tennis_movie',
		   image:	'tennis_video.jpg',
		   imagetitle: "Scene from the 'Table Tennis' lesson",
		   subtitles: ['none','EN','ES']
	   },
	   'videos_d2.htm': {
		   title: 	'Designing a Box for 18 Sweets',
		   movie:	'3_D_Sweet_box_movie',
		   image:	'sweetbox_video.jpg',
		   imagetitle: "Scene from the 'Sweet Box' lesson",
		   subtitles: ['none','EN','ES']
	   }
	},
	videos_e: {
		'videos_e1.htm': {
		   title: 	'Table Tennis Lesson Follow-up',
		   movie:	'3_E_Table_tennis_followup_movie',
		   image:	'tennis_follow.jpg',
		   imagetitle: "Scene from the 'Table Tennis' follow-up",
		   subtitles:  ['none','EN','ES']
	   },
	   'videos_e2.htm': {
		   title: 	'Sweet Box Lesson Follow-up',
		   movie:	'3_E_Sweet_box_followup_movie',
		   image:	'sweetbox_follow.jpg',
		   imagetitle: "Scene from the 'Sweet Box' follow-up",
		   subtitles: ['none','EN','ES']
	   }
	}      	
};

/* --------------------------------------------------------
 * Details of applet player pages
 * Currently, only one per page - but keep the same format as videos.
 * Likewise, 'title' isn't used at the moment.
 */

appletPages = {
	bmi: {
		'bmi.htm': {
			title:	'BMI Software',
			applet:	'BMICalculator',
			bgcolor: '#E0EDFA'
		}
	}
};

